Namespace
library
Image / Tag
consul:1.8.3
Content Digest
sha256:4fe8d3dd56b5d1274f025c30a42d8b6ad0b49e7a598e587193bc95b7d46d5e1e
Details
Created

2020-08-12 22:38:29 UTC

Size

44.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0625b4155e2a59f647ece47c0cd77ed3196b1f84454fa64ce80cad90e2b9b79e - 6.04% (2.66 MB)

[#001] sha256:aca82cd5f49dce13a1f1e77839d956af71fad07e9d9f5ed000770828e6ecbda9 - 0.0% (1.2 KB)

[#002] sha256:de204e89a6f811988c465045a2e6a35e744fb1f56fa8bf06c7bb676caf0f62e6 - 93.95% (41.4 MB)

[#003] sha256:c0cfbcbf3b55178a387ebb8bb7831588b4705bc4d211f8f66736982703e26ec5 - 0.0% (142 Bytes)

[#004] sha256:a10959073be88c1188614bd98ad2596d4d9ea9260bdf414729ab50d09e76a820 - 0.0% (153 Bytes)

[#005] sha256:ddfe19e68baf4d65969f77586d8dad93f36bbe97d730f4b1b4c3194957e6da20 - 0.0% (1.67 KB)


History
2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) ADD file:5624441d97aca5eeb82a582941efc3586397098b8391227a9040ebe434cc1d6b in /

2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:38:31 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 22:38:19 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.3

2020-08-12 22:38:19 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 22:38:20 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 22:38:26 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 22:38:26 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 22:38:27 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 22:38:27 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 22:38:28 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 22:38:28 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 22:38:28 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 22:38:28 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 22:38:28 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 22:38:29 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-12 23:19:32 UTC

Size

44.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 5.99% (2.67 MB)

[#001] sha256:01486d8d789a836fa0a61e9c6be4070359f9bf550e9d58b2c55aa5e9a6f2d9de - 0.0% (1.2 KB)

[#002] sha256:f05331c059db9677723f134d54b199ab7c7a634ff44c91ae9bf3b44a2a38615b - 94.01% (41.9 MB)

[#003] sha256:8c63443219bd9cc84874e4dd1e634c80d2163db1fb85a0a9751ca5c02d9498be - 0.0% (141 Bytes)

[#004] sha256:3b49373c72e609facd8f9b654fc736fdf7810ceaa3c061ffdb0f686b06f009af - 0.0% (154 Bytes)

[#005] sha256:df210b14cefb03bf32f81949ae915db1c1278633d29cee4650b5c79b807f649d - 0.0% (1.67 KB)


History
2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /

2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 18:22:03 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 23:19:24 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.3

2020-08-12 23:19:25 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 23:19:25 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 23:19:30 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 23:19:30 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 23:19:31 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 23:19:31 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 23:19:31 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 23:19:32 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 23:19:32 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 23:19:32 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 23:19:32 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 23:19:32 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-12 22:49:44 UTC

Size

40 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b4b72e716706d29f5d2351709c20bf737b94f876a5472a43ff1b6e203c65d27f - 6.2% (2.48 MB)

[#001] sha256:2f0b73396feb2acd916abeeed36cc28a92d94f8fa099cd78dd465a1db2d7d6d4 - 0.0% (1.23 KB)

[#002] sha256:9fa2c184217c255de24d33fc4e5711ae71e535276b2aacec43b20deedeabc1ae - 93.79% (37.6 MB)

[#003] sha256:5263e0cfda391c6fa901466e6eb20dc15683f4986fe04bb9c114f8da2c2d86a1 - 0.0% (172 Bytes)

[#004] sha256:b20016d5684a1ac50896245b7c358e816b352081451d9dc4a867c16787163358 - 0.0% (154 Bytes)

[#005] sha256:9c9a433114b871915569b15c4367ecf1b6f9fab79b0a3cc5ca185524ba253414 - 0.0% (1.67 KB)


History
2020-05-29 21:50:55 UTC

/bin/sh -c #(nop) ADD file:f46e997a56849423db17e5fc9f0249ab6c73b155245927dba5fcb9dfd65f622f in /

2020-05-29 21:50:56 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:49:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 22:49:24 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.3

2020-08-12 22:49:24 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 22:49:26 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 22:49:34 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 22:49:36 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 22:49:38 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 22:49:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 22:49:39 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 22:49:40 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 22:49:42 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 22:49:43 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 22:49:43 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 22:49:44 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-12 22:39:55 UTC

Size

40.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 6.42% (2.58 MB)

[#001] sha256:f92fecd5b8617da42a08e84ceeb94f1f7d5337ce142feeaecf2f6158565975d6 - 0.0% (1.23 KB)

[#002] sha256:d855b7ed22a0f596e540c83fc2192a861973363bb55a3dbe007a0b322dd6b268 - 93.57% (37.6 MB)

[#003] sha256:3a7dff89b82fb6337045bf4109c009e9e431e0de440036e3dc1e7d69ff1db483 - 0.0% (176 Bytes)

[#004] sha256:756a766e7f101cb3edf270496e5182cd60ca51460eeac41e6e378425f22c0b02 - 0.0% (154 Bytes)

[#005] sha256:23e607abf614e43fa8345b6210eb230fb524d57a366ca8cac741b1444e521c5a - 0.0% (1.67 KB)


History
2020-05-29 21:43:19 UTC

/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /

2020-05-29 21:43:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:42:27 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-12 22:39:38 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.3

2020-08-12 22:39:38 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-12 22:39:40 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-12 22:39:46 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-12 22:39:49 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-12 22:39:50 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-12 22:39:51 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-12 22:39:52 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-12 22:39:52 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-12 22:39:53 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-12 22:39:54 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-12 22:39:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-12 22:39:55 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]